Subject: RE: [ipfix] [issue] wording of transport protocol support

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Fri, 21 Nov 2003 14:25:56 +0100

> > ps, my memory about UDP not being an option was confirmed privately.
> 
> 
> Although after the meeting Jon Peterson (Transport AD) told me that
> he would be amenable to UDP, *PROVIDED* we wrote a suitable
> applicability statement governing its use.
> 
> A new AD will be appointed to supervise IPFIX, so perhaps we could
> park the UDP issue until they are on board?
> 
<ad hat on>
I am the other OPS AD that is (for now) handling all OPS WGs.
For the moment I am on the same page as Randy was, no UDP.
The real issue is: we MUST ensure proper congestion avoidance
mechanisms for all protocols that will/can be deployed on the
internet.

Bert Wijnen
> Stewart

--
Help        mailto:[email-masked] and say "help" in message body
Unsubscribe mailto:[email-masked] and say
"unsubscribe ipfix" in message body
Archive     http://ipfix.doit.wisc.edu/archive/

---

From: "Randall Stewart (cisco)" <[email-masked]>
Date: Fri, 21 Nov 2003 07:39:46 -0600

>mechanisms for all protocols that will/can be deployed on the

Bert:

I clip in from my previous post what Allision and Jon were ok with:

"
    SCTP SHOULD be used in deployments where exporters and collectors are
    communicating over links which are susceptible to congestion.
   TCP MAY be used in deployments where exporters and collectors
    communicate over links which are suscepible to congestion, but SCTP
    is preferred, due to its ability to limit back pressure on exporters
    (especially when using PR-SCTP) and its message vs. stream orientation.

   Other non-congestion aware protocols MAY be used in deployments where
   exporters and collectors always communicate over dedicated links 
which are not
   susceptible to congestion.
"

Now notice the subtle changing of the last paragraph that Allision wanted:

---exporters an collectors always communicate over didicated links---
                                        ^^^^^^

This basically limits any such deployment to a private network 
connection between
the collector and exporter that is NOT connected to the internet 
backbone i.e.
its a 10.x.x.x address. In such a case I think it would be ok...

Do you still have a problem with this?

R

-- 
Randall R. Stewart
ITD
Cisco Systems Inc.
[email-masked] 815-342-5222(cell) or 815-477-2127(office)

---

From: Peter Lei <[email-masked]>
Date: Fri, 21 Nov 2003 12:26:56 -0600

Randy,

I agree with the proposed text, but I don't think that means
that it's restricted to a 10.x.x.x (or any 'private' network).
I think it's more appropriate to stick with the fact that the
exporter and collector must communicate on dedicated links...
that might not be a private address network connection.

I'd also make the SCTP statement consistent with the other two:

"SCTP SHOULD be used in deployments where exporters and collectors
communicate over links which are susceptible to congestion."

--peter

Randall Stewart (cisco) wrote:
>   exporters and collectors always communicate over dedicated links which 
> are not